USE [Database]

IF OBJECT_ID('[Procedures].[update_supplier]', 'P') IS NOT NULL
  DROP PROCEDURE [Procedures].[update_supplier];
GO
CREATE PROCEDURE [Procedures].[update_supplier]
  @supplier_id      AS INT,
  @name			    AS NVARCHAR(128),
  @address		    AS NVARCHAR(128),
  @telephone_number	AS NVARCHAR(128)
AS
  UPDATE [Tables].[suppliers]
  SET 
   [name] = @name,				
   [address] = @address,			
   [telephone_number] = @telephone_number
  WHERE [id] = @supplier_id;
GO